Method: networks.customTargetingValues.batchCreate

Creates CustomTargetingValue objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/customTargetingValues:batchCreate

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of CustomTargetingValues. Format: networks/{networkCode}

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (CreateCustomTargetingValueRequest)
    }
  ]
}
Fields
requests[]

object (CreateCustomTargetingValueRequest)

Required. The CustomTargetingValue objects to create. A maximum of 100 objects can be created in a batch.

Response body

Response object for customTargetingValues.batchCreate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "customTargetingValues": [
    {
      object (CustomTargetingValue)
    }
  ]
}
Fields
customTargetingValues[]

object (CustomTargetingValue)

The CustomTargetingValue objects created.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

CreateCustomTargetingValueRequest

Request object for customTargetingValues.create method.

JSON representation
{
  "parent": string,
  "customTargetingValue": {
    object (CustomTargetingValue)
  }
}
Fields
parent

string

Required. The parent, which owns this collection of CustomTargetingValues. Format: networks/{networkCode}

customTargetingValue

object (CustomTargetingValue)

Required. The CustomTargetingValue to create.